%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-tripleo
Version:        5.5.0
Release:        4%{?dist}
Summary:        TripleO Puppet Module
License:        Apache-2.0

URL:            https://github.com/openstack/puppet-tripleo

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_base=+1
#
Patch0001: 0001-Add-the-ml2_odl-section-when-using-opendalight_v2.patch
Patch0002: 0002-Fixes-missing-haproxy-firewall-rules-for-OpenDayligh.patch
Patch0003: 0003-Decouples-neutron-services-from-OpenDaylight-API-ser.patch
Patch0004: 0004-Don-t-include-api-scheduler-manifests-on-manila-shar.patch
Patch0005: 0005-horizon-be-more-flexible-in-hiera-neutron.patch
Patch0006: 0006-Add-virtual_packages-support-to-norpm-provider.patch
Patch0007: 0007-Add-Docker-Registry-profile.patch
Patch0008: 0008-Stop-accidentally-removing-docker-distribution.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-cassandra
Requires:       puppet-zookeeper
Requires:       puppet-firewall
Requires:       puppet-midonet
Requires:       puppet-tomcat
Requires:       puppet-keepalived
Requires:       puppet-haproxy
Requires:       puppet >= 2.7.0

%description
Lightweight composition layer for Puppet TripleO.

%prep
%setup -q -n openstack-tripleo-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/



%files
%{_datadir}/openstack-puppet/modules/tripleo/


%changelog
* Fri Mar 03 2017 Mike Burns <mburns@redhat.com> 5.5.0-4
- Stop accidentally removing docker-distribution (rhbz#1428826)
- Add Docker Registry profile (rhbz#1428826)
- Add virtual_packages support to norpm provider (rhbz#1426434)

* Tue Feb 14 2017 Jon Schlueter <jschluet@redhat.com> 5.5.0-3
- horizon: be more flexible in hiera neutron (lp#1659662)
- Don't include api/scheduler manifests on manila share service set up (rhbz#1398022)

* Tue Jan 17 2017 Jon Schlueter <jschluet@redhat.com> 5.5.0-2
- Decouples neutron services from OpenDaylight API service (rhbz#1406479)
- Fixes missing haproxy firewall rules for OpenDaylight (rhbz#1406472)
- Add the ml2_odl section when using opendalight_v2 (rhbz#1409070)

* Tue Jan 03 2017 Alan Pevec <alan.pevec@redhat.com> 5.5.0-1
- Update to 5.5.0

* Tue Jan 03 2017 Lukas Bezdicka <lbezdick@redhat.com> 5.4.0-4
- [CVE-2016-9599] Enforce Firewall TCP / UDP rules management (rhbz#1409688)

* Mon Nov 28 2016 Jon Schlueter <jschluet@redhat.com> 5.4.0-3
- Do not configure state matching when using GRE (rhbz#1397964)
- Move calculation of neutron l3_ha into puppet profile
- Use mode 'http' in haproxy for ceilometer, neutron, aodh and gnocchi
  (rhbz#1370018, rhbz#1383180, rhbz#1383183, rhbz#1383186)
- Remove explicit hiera calls for heat in keystone profile

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 5.4.0-2
- Increase haproxy timeouts
- Normalize civetweb binding address if IPv6 (rhbz#1387872)
- Ensure keepalived is restarted when necessary.
- Fix puppet lint failure
- Improve failed mysql node removal time in HA deploys (rhbz#1389413)

* Tue Nov 15 2016 Alfredo Moralejo <amoralej@redhat.com> 5.4.0-1
- Update to 5.4.0

* Mon Nov 14 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-9
- Better way to ensure keepalived before haproxy.
- Pass X-Forwarded-Proto for missing services (rhbz#1370018)
- Enable communication between UI and the Undercloud by making HAProxy proxy for the UI

* Fri Nov 11 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-8
- Add proper handling of IPv6 addresses for rabbit host/port handling (rhbz#1393346)

* Tue Nov 08 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-7
- swift/proxy: configure rabbitmq properly
- Set redis file descriptor limit when run via pacemaker
- pacemaker/mysql: wait step 2 to remove default accounts
- Create heat user in keystone profile
- Add port to rabbitmq node ip list
- Deploy monitoring/logging agents sooner

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-6
- Make sure keepalived is restarted before haproxy (rhbz#1388283)

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-5
- Fixes transparent binding to OpenDaylight in HA Proxy
- NFS mounting for Glance file backend
- Reload haproxy if any configuration changes on HA
- Release 5.4.0
- Added X-Forwarded-Proto headers for horizon

* Fri Oct 28 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-4
- Only restart haproxy services when enable_load_balancer is defined
- Increase haproxy client/server timeout for swift-proxy
- Removes logic dependent on 'odl_on_controller'

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-3
- Add part_power and min_part_hours for Swift
- Fixes missing ODL ML2 Authentication info
- Set memcached_servers for nova API

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 5.3.0-2
- Fix broken rabbitmqctl commands when using ipv6

* Tue Oct 18 2016 Alfredo Moralejo <amoralej@redhat.com> 5.3.0-1
- Update to 5.3.0

* Thu Sep 29 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.2.0-1
- Update to 5.2.0

* Fri Sep 23 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.1.0-1
- Update to 5.1.0

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-1
- Update to 5.0.0


